Modify

#195 closed enhancement (wontfix)

VMware Appliance instead of a Windows Port

Reported by: cariba Owned by:
Priority: wishlist Milestone:
Component: BitlBee Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro:

Description

If someone could make a Bitlbee appliance (VMware Virtual Machine) based on a small linux distro runnable on vmware, that would make the windows port somewhat less needed. (VMware Player + Server is free and runs on Windows). Also you need just one codebase (only the linux one). I'm not good enough at linux to make one.

There are a few prebuilt appliances which you can download freely at http://www.vmware.com/vmtn/appliances/directory/

Attachments (0)

Change History (6)

comment:1 Changed at 2006-08-20T10:30:46Z by Jelmer Vernooij

Resolution: wontfix
Status: newclosed

BitlBee already compiles on CygWin as well. The aim of the Windows port is to be able to run BitlBee natively on Windows without the overhead of CygWin or vmware.

We'd happily link to any vmware images created by 3rd parties though.

comment:2 Changed at 2006-08-20T10:52:06Z by cariba

Too bad the last installer of the Windows port is 0.92 which is over 1.5 years old. All of this makes the Windows version unusable to "non-coders". That's why I proposed a VMware, that would make the most current version available to Windows users.

comment:3 Changed at 2006-08-20T11:15:47Z by Jelmer Vernooij

That's not the CygWin version (it should compile natively on CygWin). Also, the VMware image would require a maintainer as well. Maintaining a VMware image ourselves would only be increasing the number of ways BitlBee can run on Windows that we have to maintain.

You should in any case be able to simply use one of the public servers.

The Win32 port should hopefully be updated again for 1.1, though I can't guarantee anything.

comment:4 Changed at 2006-08-21T14:02:29Z by wilmer

It's a nice idea, but I'd rather not have to support it by ourselves. We already provide public servers to the users.

Also, this wouldn't be very convenient. How to handle BitlBee upgrades? The VM will want to save settings in its disk, so just replacing the disk wouldn't be very nice since you'd have to re-add all your accounts.

Automatic upgrades inside the VM could be possible too, but it'd be too much work...

But yes, if someone else makes this we can add a link on the site, of course.

comment:5 Changed at 2006-08-24T18:46:29Z by jsuelwald@…

Besides... wouldn't it be some great overkill to run bitlbee using vmware?

comment:6 Changed at 2006-08-24T18:49:44Z by wilmer

Yeah, that's what I thought too. But well, 32 MB for the VM could be enough, if the distro is minimal. And for Windows standards 32 MB per process is not a lot, I'm told. ;-)

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.